/// <reference types="webmidi" />
import type { MonoTypeOperatorFunction } from 'rxjs';
import type { MidiChannel } from '../types/midi-channel';
/**
 * Filter MIDI messages by channel
 *
 * @param channel number from 0 to 15
 */
export declare function filterByChannel(channel: MidiChannel): MonoTypeOperatorFunction<WebMidi.MIDIMessageEvent>;
